List Workflow Templates
curl --request GET \
--url https://api.lendflow.com/api/workflow_templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clients": [
"architecto"
],
"search": "architecto",
"sort_by": "architecto",
"category": null,
"global": true,
"only_global": true,
"active": false,
"approved": true,
"categories": null,
"billing_types": [
"none"
],
"workflow_segments": [
"consumer"
],
"managed_by_lendflow": true,
"workflow_template_ids": null,
"selected_ids": [
"architecto"
]
}
'import requests
url = "https://api.lendflow.com/api/workflow_templates"
payload = {
"clients": ["architecto"],
"search": "architecto",
"sort_by": "architecto",
"category": None,
"global": True,
"only_global": True,
"active": False,
"approved": True,
"categories": None,
"billing_types": ["none"],
"workflow_segments": ["consumer"],
"managed_by_lendflow": True,
"workflow_template_ids": None,
"selected_ids": ["architecto"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clients: ['architecto'],
search: 'architecto',
sort_by: 'architecto',
category: null,
global: true,
only_global: true,
active: false,
approved: true,
categories: null,
billing_types: ['none'],
workflow_segments: ['consumer'],
managed_by_lendflow: true,
workflow_template_ids: null,
selected_ids: ['architecto']
})
};
fetch('https://api.lendflow.com/api/workflow_templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": null,
"short_id": null,
"name": "Ms. Elisabeth Okuneva",
"description": "Et modi ipsum nostrum omnis autem et consequatur. Dolores enim non facere tempora. Voluptatem laboriosam praesentium quis adipisci.",
"category_id": 1,
"type": "linear",
"widget": [
1,
10
],
"brand_name_id": null,
"status": 2,
"is_active": null,
"is_global": false,
"is_default": false,
"sync_older_deals": false,
"client_id": null,
"workflow_segment": null,
"created_at": null,
"updated_at": null,
"is_manually_selecting_offers": true,
"is_borrower_platform_enabled": false,
"managed_by_lendflow": null
}
}Workflow Templates
List Workflow Templates
Returns a paginated list of the workflow templates available to the authenticated user, filtered by the supported query parameters.
GET
/
api
/
workflow_templates
List Workflow Templates
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Body
application/json
Must match an existing stored value.
Example:
["architecto"]
Search by template name or UUID, or by client name (Lendflow users only).
Example:
"architecto"
Example:
"architecto"
Example:
null
Also return the Lendflow templates every organization may use.
Example:
true
Example:
true
Example:
false
Example:
true
Must match an existing stored value.
Example:
null
Available options:
none, direct, inbound, outbound Example:
["none"]
Available options:
business, consumer Example:
["consumer"]
Example:
true
Must match an existing stored value.
Example:
null
Must match an existing stored value.
Example:
["architecto"]
Response
200 - application/json
Show child attributes
Show child attributes
Was this page helpful?